Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.discovery
Class DiscoverOldNamesInManagedProperties

    java.lang.Object
      |
      +--org.apache.commons.discovery.resource.names.ResourceNameDiscoverImpl
            |
            +--org.apache.axis.discovery.DiscoverOldNamesInManagedProperties

All Implemented Interfaces:
  org.apache.commons.discovery.ResourceNameDiscover

public class DiscoverOldNamesInManagedProperties
extends org.apache.commons.discovery.resource.names.ResourceNameDiscoverImpl
implements org.apache.commons.discovery.ResourceNameDiscover

Recover resource name from Managed Properties, using OLD property names. This class maintains a mapping between old names and (new) the class names they represent. The discovery mechanism uses the class names as property names.

Author:
  Richard A. Sitze
See Also:
  `ManagedProperties`

Constructor Summary
`DiscoverOldNamesInManagedProperties()` Construct a new resource discoverer

Method Summary
`org.apache.commons.discovery.ResourceNameIterator` | `findResourceNames(java.lang.String resourceName)`
`static void` | `setLog(org.apache.commons.logging.Log _log)`

Methods inherited from class org.apache.commons.discovery.resource.names.ResourceNameDiscoverImpl
`findResourceNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.discovery.ResourceNameDiscover
`findResourceNames`

Constructor Detail

### DiscoverOldNamesInManagedProperties

    public DiscoverOldNamesInManagedProperties()

  Construct a new resource discoverer

Method Detail

### setLog

    public static void setLog(org.apache.commons.logging.Log _log)

### findResourceNames

    public org.apache.commons.discovery.ResourceNameIterator findResourceNames(java.lang.String resourceName)

  Specified by:
    `findResourceNames` in interface `org.apache.commons.discovery.ResourceNameDiscover`
  Overrides:
    `findResourceNames` in class `org.apache.commons.discovery.resource.names.ResourceNameDiscoverImpl`
  Returns:
    Enumeration of ResourceInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.